Package tigase.monitor.tasks

## Class AbstractConfigurableTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`
  Direct Known Subclasses:
    `AbstractConfigurableTimerTask`, `LoggerTask`, `ScriptTask`

      public abstract class AbstractConfigurableTask
      extends java.lang.Object
      implements MonitorTask, ConfigurableTask, UnregisterAware, Initializable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractConfigurableTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beforeUnregister()` | Method called before bean unregister.
    `protected void` | `disable()` |
    `protected void` | `enable()` |
    `Form` | `getCurrentConfiguration()` |
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.
    `boolean` | `isEnabled()` |
    `void` | `setEnabled​(boolean value)` |
    `void` | `setNewConfiguration​(Form form)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractConfigurableTask

          public AbstractConfigurableTask()

  - ### Method Detail

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`

    - #### getCurrentConfiguration

          public Form getCurrentConfiguration()

      Specified by:
        `getCurrentConfiguration` in interface `ConfigurableTask`

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean value)

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

    - #### setNewConfiguration

          public void setNewConfiguration​(Form form)

      Specified by:
        `setNewConfiguration` in interface `ConfigurableTask`

    - #### disable

          protected void disable()

    - #### enable

          protected void enable()